/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.spi.model.type;

import javax.xml.namespace.QName;

import org.fabric3.scdl.BindingDefinition;
import org.osoa.sca.Constants;

/**
 * Represents the SCA binding
 *
 * @version $Rev: 835 $ $Date: 2007-08-24 00:59:22 -0700 (Fri, 24 Aug 2007) $
 */
public final class SCABindingDefinition extends BindingDefinition {
    
    public static final SCABindingDefinition INSTANCE = new SCABindingDefinition();
    
    private SCABindingDefinition() {
        super(new QName(Constants.SCA_NS, "binding.sca"));
    }
    
    
}
